summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2015-10-15 20:40:33 +0000
committerPatrice Clement <monsieurp@gentoo.org>2015-10-15 20:50:10 +0000
commitdf57900e4f83d6c0e57db5222ae9ecd207f51a1e (patch)
tree1d41d65cebaa9e3c7f25232f1856a31b160f5ba3 /app-shells/smrsh/smrsh-8.15.2.ebuild
parentapp-shells/rc: Clean up old. (diff)
downloadgentoo-df57900e4f83d6c0e57db5222ae9ecd207f51a1e.tar.gz
gentoo-df57900e4f83d6c0e57db5222ae9ecd207f51a1e.tar.bz2
gentoo-df57900e4f83d6c0e57db5222ae9ecd207f51a1e.zip
app-shells/smrsh: Version bump.
Package-Manager: portage-2.2.20.1 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'app-shells/smrsh/smrsh-8.15.2.ebuild')
-rw-r--r--app-shells/smrsh/smrsh-8.15.2.ebuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/app-shells/smrsh/smrsh-8.15.2.ebuild b/app-shells/smrsh/smrsh-8.15.2.ebuild
new file mode 100644
index 00000000000..889452daa21
--- /dev/null
+++ b/app-shells/smrsh/smrsh-8.15.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit toolchain-funcs
+
+DESCRIPTION="Sendmail restricted shell, for use with MTAs other than Sendmail"
+HOMEPAGE="http://www.sendmail.org/"
+SRC_URI="ftp://ftp.fu-berlin.de/unix/mail/sendmail/sendmail.${PV}.tar.gz"
+
+LICENSE="Sendmail"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="!mail-mta/sendmail"
+DEPEND="${RDEPEND}
+ sys-devel/m4
+ >=sys-apps/sed-4"
+
+S="${WORKDIR}/sendmail-${PV}"
+
+src_prepare() {
+ cd "${S}/${PN}"
+ sed -e "s:/usr/libexec:/usr/sbin:g" \
+ -e "s:/usr/adm/sm.bin:/var/lib/smrsh:g" \
+ -i README -i smrsh.8 || die "sed failed"
+
+ sed -e "s:@@confCCOPTS@@:${CFLAGS}:" \
+ -e "s:@@confLDOPTS@@:${LDFLAGS}:" \
+ -e "s:@@confCC@@:$(tc-getCC):" "${FILESDIR}/${PN}-8.14.5-site.config.m4" \
+ > "${S}/devtools/Site/site.config.m4" || die "sed failed"
+}
+
+src_compile() {
+ cd "${S}/${PN}"
+ /bin/sh Build
+}
+
+src_install() {
+ dosbin "${S}/obj.$(uname -s).$(uname -r).$(arch)/${PN}/${PN}" || die
+
+ cd "${S}/${PN}"
+ doman "${PN}.8" || die
+ dodoc README || die
+
+ keepdir "/var/lib/${PN}"
+}
+
+pkg_postinst() {
+ elog "smrsh is compiled to look for programs in /var/lib/smrsh."
+ echo
+}